package com.baijiayun.groupclassui.util;

import java.util.concurrent.ConcurrentHashMap;

/**
 * 传递非序列化数据
 */
// fixme remove
public class IntentDataHolder {

    private ConcurrentHashMap dataList = new ConcurrentHashMap<>();
    private static volatile IntentDataHolder instance;
    public static IntentDataHolder getInstance() {
        if(instance==null) {
            synchronized(IntentDataHolder.class) {
                if(instance==null) {
                    instance = new IntentDataHolder();
                }
            }
        }
        return instance;
    }

    public void setData(String key, Object o) {
        dataList.put(key, o);
    }

    public Object getData(String key) {
        return dataList.get(key);
    }

    public void removeData(String key) {
        dataList.remove(key);
    }
}
