package com.baijiayun.groupclassui.window.status;

import com.baijiayun.groupclassui.base.BaseGroupPresenter;
import com.baijiayun.livebase.base.BaseView;
import com.baijiayun.livebase.context.LPConstants;

/**
 * Created by Shubo on 2018/9/20.
 */
public interface StatusBarContract {

    interface View extends BaseView<Presenter> {

        void showDownLinkLossRate(double downLossRate, LPConstants.MediaNetworkQuality downLinkNetStatus);

        void showResetStatusBarText();

        void showUpLinkLossRate(double upLossRate, LPConstants.MediaNetworkQuality upLinkNetStatus);

        void showUpVideoBitrate(double videoBitrate, LPConstants.MediaNetworkQuality videoNetWorkQuality);

        void showUpAudioBitrate(double audioBitrate, LPConstants.MediaNetworkQuality audioNetWorkQuality);

        void showDownVideoBitrate(double videoBitrate, LPConstants.MediaNetworkQuality videoNetWorkQuality);

        void showDownAudioBitrate(double audioBitrate, LPConstants.MediaNetworkQuality audioNetWorkQuality);

        void updateWorstNetworkQuality(LPConstants.MediaNetworkQuality quality1, LPConstants.MediaNetworkQuality quality2);

        void showClassName(String className);

        void showClassTime(String classTime);
    }

    interface Presenter extends BaseGroupPresenter {
        void help();

        void setting();

        void exit();

        void report();

        void unSubscribe();
    }
}
