专业小班课UI SDK更新日志 

## 常规版本 VS 稳定版本的说明
- 常规版本 SDK：三周左右迭代一次，需求迭代较快，云端课堂上线观察无重大崩溃后发版。
- 稳定版本 SDK：从近三个月常规发版遴选，无重大 bug。以 **-stable** 标记。

偏向新功能推荐集成常规版本，偏向稳定推荐集成稳定版本。

## 分支说明
**master 分支为 4.0 SDK 迭代的主分支。新增 master_3.x 分支，为 3.x SDK 对应的分支，原则上不再迭代新功能，仅考虑合入重大修复。**

## changeLog

**3.14.0**之后changelog：https://git2.baijiashilian.com/open-android/professional-group-class/-/releases

# 3.13.0 [2022-7-18]

- 【升级】livecore 3.13.0
- 【新增】云端插播同步老师最小化窗口

# 3.12.0 [2022-7-01]

- 【升级】livecore 3.12.0
- 【新增】转盘功能

# 3.10.0 [2022-6-14]

- 【升级】livecore 3.10.0
- 【新增】课件预览

# 3.8.3 [2022-5-17]

- 【升级】livecore 3.8.3

# 3.8.0 [2022-4-18]

- 【升级】livecore 3.8.0
- 【新增】打开网页支持同步位置和大小

# 3.7.0 [2022-3-24]

- 【升级】livecore 3.7.0

# 3.6.0 [2022-1-10]

- 【升级】livecore 3.6.0
- 【新增】小班课支持红包雨
- 【修复】音量按键不生效
- 【修复】修复聊天飘窗不显示自己发送的消息，优化聊天内容一闪一闪的bug
- 【修复】发布的小黑板有人退出重进后内容发生变化，关闭已发布小黑板后已提交的小黑板消失

# 3.5.0 [2021-12-22]

- 【升级】livecore 3.5.0
- 【新增】指定小黑板功能
- 【新增】聊天图片支持 GIF 格式
- 【修复】重连导致弹窗重复

3.4.0 [2021-11-29]
==============

- 【升级】livecore 3.4.0

3.3.0 [2021-11-05]
==============
- 【升级】livecore 3.3.0
- 【新增】课后学情报告功能
- 【新增】音视频硬件检测功能
- 【新增】添加课前问卷功能
- 【新增】台上人满时，轮换学生上台功能
- 【优化】设置改版

3.2.0 [2021-10-15]
==============
- 【升级】livecore 3.2.0
- 【新增】小黑板最小化
- 【新增】聊天快捷回复
- 【新增】聊天举报

3.0.0 [2021-08-30]
==============
- 【升级】livecore 3.0.0
- 【新增】学生不能操作老师画笔
- 【新增】聊天图片转存为课件
- 【新增】助教增加小黑板、答题器等功能
- 【优化】网络状态差增加详细颜色标识
- 【修复】聊天图片预览偶现崩溃

3.0.0-beta03 [2021-08-17]
==============
> 大版本发布API有变更，建议时间充裕下谨慎升级。（初次依赖可忽视)

- 【升级】livecore 3.0.0-beta03
- 【新增】聊天翻译支持多语言
- 【新增】API接口关闭教室弹框提示
- 【新增】积分功能
- 【新增】音视频课件

3.0.0-beta01 [2021-07-20]
==============
> 大版本发布API有变更，建议时间充裕下谨慎升级。（初次依赖可忽视)

- 【升级】livecore 3.0.0-beta01
- 【新增】支持智写云笔手写板
- 【新增】支持画笔笔锋
- 【优化】聊天发送图片不再主动裁剪
- 【修复】视频窗口切换，画廊/板书布局切换，大小流状态不对
- 【升级】移除废弃API

2.6.9 [2021-06-08]
==============
- 【升级】livecore 2.6.9
- 【新增】小班课教室内配置项
- 【新增】专业1v1聊天可配置
- 【新增】支持图片以课件形式打开

2.6.8 [2021-05-15]
==============
- 【升级】livecore 2.6.8
- 【新增】新增课件tab切换功能
- 【新增】默认授权学生画笔(配置项)
- 【修复】已知问题修复

2.6.5 [2021-04-19]
==============
- 【升级】livecore 2.6.5
- 【新增】垂直镜像
- 【新增】网络状态、上下行丢包
- 【新增】聊天飘窗
- 【新增】计时器结束播放音频
- 【修复】已知问题修复

2.6.4 [2021-03-26]
==============
- 【升级】livecore 2.6.4
- 【新增】自习室三期
- 【新增】单人镜像
- 【新增】计时器恢复上一次位置
- 【新增】支持越南、印尼语言
- 【优化】优化跑马灯效果

2.6.2 [2021-03-01]
==============
- 【升级】livecore 2.6.2
- 【新增】自习室二期
- 【新增】h5课件文件锁
- 【修复】已知问题修复

2.6.1 [2021-02-06]
==============
- 【升级】livecore 2.6.1
- 【新增】点名功能
- 【修复】修复已知崩溃


2.6.0 [2021-01-27]
==============
- 【升级】livecore 2.6.0
- 【新增】视频一键复位
- 【优化】自习室功能优化
- 【修复】修复已知崩溃
- 【升级】升级androidX

2.1.1 [2021-01-05]
==============
- livecore 2.5.2
- 【新增】自习室功能
- 【调整】清晰度调整到设置页面

2.0.0 [2020-12-03]
==============
- livecore 2.5.0
- 【新增】主讲支持外接摄像头
- 【新增】禁止录屏（需后台配置）
- 【修复】已知问题修复

1.2.1
==============
- livecore更新到2.4.6
- 【新增】支持一键复位黑板区视频到发言列表
- 【优化】文件管理tab样式调整
- 【修复】已知问题修复

1.2.0
==============
- livecore更新到2.4.5
- 【新增】新增课件清晰度设置
- 【新增】1v1班型黑板页数支持配置
- 【新增】聊天支持引用展示
- 【新增】新增作业功能
- 【修复】已知bug修复

1.1.8
==============
- livecore更新到2.4.4
- 新增作业功能

1.1.5
==============
- livecore更新到2.4.0
- 1vnvm班型根据配置项决定是否上台
- user_update优化，上台才发信令
- 云端插播优化
- 修复PPT全屏后画笔工具栏状态不同步

1.1.4
==============
- livecore更新到2.3.8
- 学生屏幕共享改为一路流
- 点赞动画允许提前结束，删除“三秒内最多点一次赞的逻辑”

1.1.3
==============
- livecore更新到2.3.5
- 支持多种奖励方式
- 支持分组点赞
- 支持随机选人
- 小班课视频窗默认使用 Fill 模式
- 画廊布局调整
- ppt窗口样式优化
- 学生计时器优化
- 图片资源压缩替换

1.1.2
==============
- livecore更新到2.3.3
- 支持只看老师和学生
- 支持橡皮擦擦除模式

1.1.1
==============
- livecore更新到2.3.1
- EnterRoomSuccess异步通知改为主动回调
- 新增浅色主题并支持动态配置主题色
- 已知问题修复  

**此版本引入kotlin库，需要在根目录build.gradle配置kotlin**


1.1.0
==============
- livecore更新到2.3.0
- 深色主题模式

1.0.3
==============
- livecore更新到2.2.7
- 支持只看老师和自己视频，其它学生只拉音频
- 监听room_reload信令支持重进房间
- 1v1模板举手按钮调整

1.0.2
==============
- livecore更新到2.2.5
- doc_del时移除pptWindow的同时调destroy销毁
- class_start之后初始化坐席

1.0.1
==============
- livecore更新到2.2.4
- 支持推大小流
- 支持镜像翻转
- 动效ppt加载超时文案优化，加载成功隐藏

1.0.0
==============
- livecore更新到2.2.2
- 优化申请摄像头、麦克风权限逻辑
- 修复某些机型上传PPT失败的bug
- 修复activity被回收后重新创建个性域名丢失
- 支持拉小流（坐席区拉小流、黑板区或者画廊布局拉大流）
- 马克笔最大宽度改完24
- 动效PPT加载出错或超时，弹框提示用户切换静态

0.9
==============
- pc相关配置项补齐
- 增加360p选项（480*360分辨率）
- 支持h5课件


0.8
==============
- 增加专注度检测
- 修复图片画笔因数据异常导致bitmap超大导致OOM
- 直播已过期弹框提示
- livecore更新为2.2.0

0.7
==============
- 视频窗口加loading
- 图片emoji增加复制功能
- 文字画笔实时更新
- 读自动开启录制的配置，保证cloud_record在上课之后发
- 手机号加密
- 修复添加文档一直显示转码中
- 其它问题修复

CHANGELOG 0.6
==============
- 支持马克笔
- 断网重连逻辑优化
- 支持分组标记
