package com.baijiayun.groupclassui.global;

import androidx.lifecycle.LifecycleOwner;

import com.baijiayun.groupclassui.window.IRoomStatusListener;

/**
 * Created by pengwenjian on 2020/6/10
 * Describe:
 */
public interface RouterListener extends LifecycleOwner, com.baijiayun.liveuibase.base.RouterListener {

    IRouter getRouter();

    /**
     * 调用此方法注册房间状态监听
     */
    void addRoomStatusListener(IRoomStatusListener listener);

    void removeRoomStatusListener(IRoomStatusListener listener);
}
