package com.baijiayun.groupclassui.model;

import com.baijiayun.liveuibase.widgets.AwardView;
import com.baijiayun.livebase.models.imodels.IUserModel;

/**
 * Created by yongjiaming on 2018/11/16
 */
public class NotifyAwardModel {
    public IUserModel userModel;
    public int awardCount;
    public int[] endPointLocation;
    public int awardType;//点赞类型，个人点赞，全组点赞，全体点赞
    public String pictureUrl;
    public boolean isAwardAllActive = false;   // 是否是奖励所有台上成员

    public NotifyAwardModel(boolean isAwardAllActive) {
        this.isAwardAllActive = isAwardAllActive;
    }

    public NotifyAwardModel(IUserModel userModel, boolean isAwardAllActive, int[] location, String pictureUrl) {
        this.userModel = userModel;
        this.isAwardAllActive = isAwardAllActive;
        this.endPointLocation = location;
        this.awardType = AwardView.TYPE_AWARD_USER;
        this.pictureUrl = pictureUrl;
    }

    public NotifyAwardModel(@AwardView.AwardType int awardType, IUserModel userModel, int[] location) {
        this.userModel = userModel;
        this.endPointLocation = location;
        this.awardType = awardType;
    }

    public NotifyAwardModel(IUserModel userModel, int awardCount, int[] location, String pictureUrl) {
        this.userModel = userModel;
        this.awardType = AwardView.TYPE_AWARD_USER;
        this.awardCount = awardCount;
        this.endPointLocation = location;
        this.pictureUrl = pictureUrl;
    }

    public NotifyAwardModel(@AwardView.AwardType int awardType, IUserModel userModel, int awardCount, int[] location) {
        this.userModel = userModel;
        this.awardType = awardType;
        this.awardCount = awardCount;
        this.endPointLocation = location;
    }
}
