package com.baijiayun.groupclassui.util;

import androidx.fragment.app.DialogFragment;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import com.baijiayun.groupclassui.dialog.ActiveUserFullAndReplaceDialog;
import com.baijiayun.groupclassui.global.IRouter;
import com.baijiayun.groupclassui.user.ReplaceUserWithStatus;

/**
 * 产生ReplaceWindow的工具类
 *
 * @author chenfu
 */
public class ReplaceWindowGenerateUtil {

    public static void generateWindow(FragmentActivity activity, IRouter iRouter, ReplaceUserWithStatus replaceUserWithStatus) {
        ActiveUserFullAndReplaceDialog activeUserFullAndReplaceDialog = new ActiveUserFullAndReplaceDialog(iRouter, replaceUserWithStatus);
        final Fragment fragment = activity.getSupportFragmentManager().findFragmentByTag(activeUserFullAndReplaceDialog.getClass().getSimpleName());
        if (fragment instanceof DialogFragment) {
            ((DialogFragment) fragment).dismissAllowingStateLoss();
        }
        activeUserFullAndReplaceDialog.show(activity.getSupportFragmentManager(),
                activeUserFullAndReplaceDialog.getClass().getSimpleName());
        activity.getSupportFragmentManager().executePendingTransactions();
    }
}
